Script (Apache Ant API)
Date: 2012-02-26

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class Script

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.Script

All Implemented Interfaces:
  java.lang.Cloneable

    public class Script

extends Task

Executes a script.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Script()`

Method Summary
`void` | `addText(java.lang.String text)` Set the script text.
`Path` | `createClasspath()` Classpath to be used when searching for classes and resources.
`void` | `execute()` Run the script using the helper object.
`void` | `setClasspath(Path classpath)` Set the classpath to be used when searching for classes and resources.
`void` | `setClasspathRef(Reference r)` Set the classpath by reference.
`void` | `setLanguage(java.lang.String language)` Defines the language (required).
`void` | `setManager(java.lang.String manager)` Defines the manager.
`void` | `setProject(Project project)` Set the project.
`void` | `setSetBeans(boolean setBeans)` Set the setbeans attribute.
`void` | `setSrc(java.lang.String fileName)` Load the script from an external file ; optional.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Script

    public Script()

Method Detail

### setProject

    public void setProject(Project project)

  Set the project.

  Overrides:
    `setProject` in class `ProjectComponent`
  Parameters:
    `project` - the project that this task belongs to.

### execute

    public void execute()
                 throws BuildException

  Run the script using the helper object.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setManager

    public void setManager(java.lang.String manager)

  Defines the manager.

  Parameters:
    `manager` - the scripting manager.

### setLanguage

    public void setLanguage(java.lang.String language)

  Defines the language (required).

  Parameters:
    `language` - the scripting language name for the script.

### setSrc

    public void setSrc(java.lang.String fileName)

  Load the script from an external file ; optional.

  Parameters:
    `fileName` - the name of the file containing the script source.

### addText

    public void addText(java.lang.String text)

  Set the script text.

  Parameters:
    `text` - a component of the script text to be added.

### setClasspath

    public void setClasspath(Path classpath)

  Set the classpath to be used when searching for classes and resources.

  Parameters:
    `classpath` - an Ant Path object containing the search path.

### createClasspath

    public Path createClasspath()

  Classpath to be used when searching for classes and resources.

  Returns:
    an empty Path instance to be configured by Ant.

### setClasspathRef

    public void setClasspathRef(Reference r)

  Set the classpath by reference.

  Parameters:
    `r` - a Reference to a Path instance to be used as the classpath value.

### setSetBeans

    public void setSetBeans(boolean setBeans)

  Set the setbeans attribute. If this is true, <script> will create variables in the script instance for all properties, targets and references of the current project. It this is false, only the project and self variables will be set. The default is true.

  Parameters:
    `setBeans` - the value to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD